<?php

// Secure session settings
ini_set('session.cookie_httponly', 1);
ini_set('session.cookie_secure', 1);
ini_set('session.use_strict_mode', 1);

session_start();

function isAuthenticated(): bool {
    if (isset($_SESSION['authenticated']) && $_SESSION['authenticated'] === true) {
        return true;
    } else {
        return false;
    }
}

// Usage
if (!isAuthenticated()) {
    header('Location: /login');
    exit();
}
